import otime
from rich import print
from rich import inspect
from rich.console import Console
from rich.columns import Columns
from rich.table import Table

if __name__ == "__main__":
	#courses = otime.courses_from_ttime_conf('sc_2021_ttime/ttime.cnf.txt')
	#o_classes = otime.classes_from_ttime_conf('sc_2021_ttime/ttime.cnf.txt', courses)
	#runner_list = otime.ttime_db_to_class('sc_2021_ttime/db_eventor.csv', o_classes)
	#runner_list = otime.xml_to_class('entries_KOK_Sommercup,_løp_2.xml', o_classes)
	#otime.ttime_mtr_to_class('sc_2021_ttime/mtr.csv', runner_list)
	#print_runners(runner_list)
	#print_time(runner_list)
	#print_o_classes(o_classes)
	#print_class_splits(runner_list, o_classes[0])
	#print(otime.check_codes(runner_list[1]))
	#otime.gen_xml_result(runner_list, o_classes)

	event = otime.event(0, 'supercup')
	event.import_ttime_cnf('sc_2021_ttime/ttime.cnf.txt')
	event.import_ttime_db('sc_2021_ttime/db_eventor.csv')
	event.import_mtr_file('sc_2021_ttime/mtr.csv')
	#card_punches = otime.card_punch.list_from_mtr_f('sc_2021_ttime/mtr.csv')
	event.append_punch_list(event.card_punches)
	event.match_runners_cards()
	event.get_xml_res().write('Resultater.xml')
